#
# spec file for package virt-what
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%if 0%{?suse_version}
%define dist suse%{?suse_version}
%endif

Name:           virt-what
Version:        1.15
Release:        10.1.%{?dist}
Summary:        Detect if running in a virtual machine
License:        GPL-2.0+
Group:          System/Console
Url:            http://people.redhat.com/~rjones/virt-what
Source0:        http://people.redhat.com/~rjones/%{name}/files/%{name}-%{version}.tar.gz
Source1:        http://people.redhat.com/~rjones/%{name}/files/%{name}-%{version}.tar.gz.sig
Source2:        %{name}.keyring
%ifarch %{ix86} x86_64 aarch64 %arm
%if 0%{?suse_version} == 0 || 0%{?suse_version} >= 1200
Requires:       dmidecode
%endif
%endif
Requires:       util-linux
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# for pod2man
%if 0%{?suse_version}
BuildRequires:  perl
%else
BuildRequires:  perl-podlators
%endif

%description
This is a collection of scripts which you can use to work out what
sort of virtualization you are running inside.  Please read the manual
page virt-what(1) to find out how to use it.  This file is for
developers and people compiling from source.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make %{?_smp_mflags} DESTDIR=%{buildroot} install

%check
make %{?_smp_mflags} check

%files
%defattr(-,root,root)
%doc README COPYING
%{_sbindir}/virt-what
%{_mandir}/man1/virt-what.1%{ext_man}
%{_libexecdir}/virt-what-cpuid-helper

%changelog
* Wed Jan 10 2018 sbr.brunel@gmail.com
- compile for SuSE 12 SP3
* Thu Feb 11 2016 mpluskal@suse.com
- Add gpg signature
- Tiny spec file cleanup
* Thu Nov 19 2015 tampakrap@opensuse.org
- Version bump 1.15. No upstream changelog, see
  http://git.annexia.org/?p=virt-what.git;a=shortlog;h=refs/tags/1.15
* Wed Aug 26 2015 dvaleev@suse.com
- Require dmidecode only on intel and ARM architectures
* Thu Nov 27 2014 tampakrap@opensuse.org
- cosmetics: run spec-cleaner, use 'make install'
- run tests
- install the license
* Fri Jun  6 2014 joop.boonen@opensuse.org
- Build version 1.14
  * Differentiate between vserver host and guest
  * Detect new Xen VMs (RHBZ#973663)
  * xen: Don't emit warning message if /proc/xen/capabilities file does not exist
  * Fix various typos and mistakes in comments
* Mon Dec 23 2013 kkaempf@suse.com
- Initial release 1.13
